# Standard modules
from os import sep
import os, glob
from os.path import join

# Related major packages
from anuga.utilities.csv_tools import merge_csv_key_values

# Application specific imports
from setup_model import project  # Definition of file names and polygons
import csv
directory = project.output_folder

time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'

time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]

data = 'stage'
output_filename = 'gauges_combined_' + data + '.csv' 
for time_dir in time_dirs:
    print time_dir
    folder = join(directory, time_dir)
    output_file = join(folder, output_filename) 
    #Looking for 'gauge_<alphabetic>.csv' filename
    input_csv = glob.glob(folder + sep + 'gauge_[A-Za-z]*.csv')
   
    csv_files = []
    for infile in input_csv:
        title = os.path.basename(infile)[:-4]
        title = title.replace('gauge_', '')
        if title in csv_files:
            print 'Title (%s) already in use' % title
            sys.exit(10)
        csv_files.append([infile, title])

   # print 'csv_files=%s' % str(csv_files)
    merge_csv_key_values(csv_files, output_file,
                         key_col='hours', data_col=data)
